Subject: RE: [IPTEL] CPL-03 Terminology

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 13 Nov 2000 20:52:48 -0500

> -----Original Message-----
> From: Jonathan Lennox [mailto:[email-masked]]
> Sent: Monday, November 13, 2000 2:54 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [IPTEL] CPL-03 Terminology
> 
> > The second most confusing term was "action". This can mean 
> (1) "top-level
> > action" (or "call processing action"[?]) or (2) a node that 
> performs an
> > action (including "location"[?], but excluding switches). 
> I'd suggest
> > reserving the word "action" for the second meaning. For the 
> first meaning,
> > use the complete term (or to clarify further, perhaps 
> replace "top-level
> > action" with "top-level action tree" or "top-level 
> procedure" and replace
> > "call processing action" with "action tree" or "procedure").
> 
> This one is more of a problem.  While I like the term 
> "procedure" for the
> current "top-level actions" and "subactions", the tag 
> <subaction> is already
> defined.  It seems like it'd be awfully confusing to change 
> the terminology
> in the way you describe, but still call the node <subaction>. 
>  Any thoughts
> on the best way to resolve this?

I do not want to change syntax at this point just for clarification
purposes.

So, lets align the wording with the syntax. "action" should refer to the top
level things, as is defined in 2.1. As for a node that does something, how
about "operation" instead of "action". So, what currently reads from 2.2:

Abstractly, a call processing action is described by a collection of
   nodes, which describe actions that can be performed or choices which
   can be made.

would instead read:

Abstractly, a call processing action is described by a collection of
   nodes, which describe operations that can be performed or choices which
   can be made.

OK? 

-Jonathan R.
---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel